Subject: Re: rs/6000 e30 + 240 (doral) support

From: Gustavo Barbieri <[email-masked]>
Date: Thu, 29 Jul 2004 12:37:47 -0300

On Thu, 29 Jul 2004 16:01:22 +0100 (BST), Leigh Brown
<[email-masked]> wrote:
> Christoph Hellwig said:
> >
> > On Thu, Jul 29, 2004 at 11:04:48AM -0300, Gustavo Barbieri wrote:
> >> > Most doesn't look too bad to me, but it's a lot of patches.  I vaguely
> >> > remember they were discussed on linuxppc-dev, so we should check the
> >> > comments over there.
> >>
> >> A lot of patches? Well, there is a lot of "code"... it's not really
> >> code, but just structure definitions... actually the patche touches
> >> the real code at few points, one it's just a null pointer checking,
> >> other are added cases to the switch statement so it can handle those
> >> boards, so I really can't a problem there.
> >>
> >> I already sent an email to linuxppc-dev in the past, but no replies:
> >>
> >> http://lists.linuxppc.org/linuxppc-dev/200407/msg00085.html
> >
> > Ah sorry, I confused it with Len's big IBM prep patchkit.  Except for a
> > tiny style issue this patch is fine with me.
> >
> > Any upstream comments as I'd hate to carry along a patch like that in
> > the Debian patchkit while we'd probably want it in Sarge.
> >
> > Gustavo, if we apply this patch you'll have to sign up for d-i testing
> > on prep, though ;-)
>
> I have a more comprehensive set of patches that remove the need for
> ugly hard-coded tables on RS/6000 PReP boxes, that I previously
> posted to linuxppc-dev.  I'll freshen them up tonight and post them
> again.  They provide generic support for the E20, E30, 140, 240, F30,
> and F40 and probably a few other ones that we don't know about, if
> we're lucky.  The F40 has problems but all the other work fine.

Hello Leigh,

Thanks for your original patch!

This patch you mean is the one in the TODO of those files? Using residual data?

--
Gustavo Sverzut Barbieri
---------------------------------------
Computer Engineer 2001 - UNICAMP
GPSL - Grupo Pro Software Livre
Cell..: +55 (19) 9165 8010
Jabber: [email-masked]
  ICQ#: 17249123
   GPG: 0xB640E1A2 @ wwwkeys.pgp.net

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/